.indicator,
.indicator-pill,
.indicator-pill-right,
.indicator-pill-round {
	display: inline-flex;
	align-items: center;
	--icon-stroke: currentColor;
	--indicator-color: transparent;
}

.indicator::before {
	content: "";
	height: 8px;
	width: 8px;
	border-radius: var(--border-radius);
	margin: 0px 8px 0px 0px;
	background: var(--indicator-color, transparent);
}
.indicator-pill,
.indicator-pill-right {
	@include get_textstyle("sm", "regular");
	padding: 4.5px 8px;
	border-radius: var(--border-radius-full);
	height: 20px;
}

.indicator-pill-round {
	@include get_textstyle("sm", "regular");
	justify-content: center;
	border-radius: 50%;
	width: 24px;
	height: 24px;
}

.indicator-pill:not(.no-indicator-dot)::before,
.indicator-pill-right::after {
	content: "";
	display: inline-table;
	height: 6px;
	width: 6px;
	border-radius: 50%;
	margin-right: 6px;
	background: var(--indicator-color, transparent);
}

.indicator-pill.no-margin::before,
.indicator-pill-right.no-margin::after {
	margin-right: 0px;
}

.indicator-pill-right::after {
	margin: 0 0 0 4px;
}

$indicator-colors: green, cyan, blue, orange, yellow, gray, grey, red, pink, darkgrey, purple,
	light-blue, darkgray;
@each $color in $indicator-colors {
	.indicator-pill.#{"" + $color},
	.indicator-pill-right.#{"" + $color},
	.indicator-pill-round.#{"" + $color} {
		background: var(--bg-#{$color});
		color: var(--text-on-#{$color});
		--indicator-color: var(--text-on-#{$color});
	}

	.indicator.#{"" + $color} {
		--indicator-color: var(--text-on-#{$color});
	}
	[data-theme="dark"] .indicator.#{"" + $color} {
		--indicator-color: var(--bg-#{$color});
	}
}

.indicator-pill.primary {
	background: var(--primary);
	color: white;
	--indicator-color: currentColor;
}

.indicator.blink {
	animation: blink 1s linear infinite;
}

@keyframes blink {
	50% {
		opacity: 0.5;
	}
}

.indicator-pill:empty {
	display: none;
}

.indicator-pill {
	box-shadow: inset 0px 0px 4px -3px currentColor;
}
